%define prerel beta3

Summary:	PCMan File Manager
Name:		pcmanfm
Version:	0.9.5
Release:	%mkrel -c %prerel 1
URL:		http://pcmanfm.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
# Add patch from OpenSuse to rename pcmanfm2 back to pcmanfm, this will happen
# upstream too when pcmanfm2 is finally released
Patch0:		pcmanfm-0.9.4-rename-to-pcmanfm.patch
License:	GPLv2+
Group:		File tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig desktop-file-utils
BuildRequires:	intltool
BuildRequires:	libfm-devel >= 0.1.11
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Suggests:	gvfs

%description
PCMan File Manager is an extremely fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -q
# manually rename pcmanfm2 to pcmanfm until its official release
%patch0 -p1 -b .rename

%build
#./autogen.sh
# for patch0
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

# clean .desktop file
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System;FileTools" \
  --remove-mime-type="x-directory/normal" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

#install default .conf file
mkdir -p %{buildroot}%{_sysconfdir}/xdg/pcmanfm

cat > %{buildroot}%{_sysconfdir}/xdg/pcmanfm/pcmanfm.conf << EOF
[desktop]
wallpaper_mode=1
wallpaper=/usr/share/mdk/backgrounds/default.jpg
EOF

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_sysconfdir}/xdg/%{name}/%{name}.conf
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/ui/*.ui


%changelog
* Wed Jul 14 2010 Oliver Burger <rpm@mandrivauser.de> 0.9.5-0.beta3.1mud2010.1
- rebuild for 2010.1 final

* Tue Apr 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.5-0.beta3.1mdv2010.1
+ Revision: 539857
- new release, beta3, 0.9.5
- new git snapshot
- rediff renaming patch
- improve the requires and buildrequires
- clean spec
- new release beta2 0.9.4
- rediff rename patch
- new git snapshot
- rediff patch0
- new upstream release 0.9.3 beta
- add pcmanfm.conf directly from inside the spec
- add pcmanfm.conf to configure default background
- only suggest gvfs
- update to latest git to cope with latest libfm
- add patch from OpenSuse to rename files to pcmanfm2, this will happen upstream
  with final release, but it's better to rename it with the patch to not break
  autostart stuff until then
- new version, 0.9.2 alpha
- remove hal-devel and dbus-glib-devel BR, not needed any more
- BR libfm-devel
- require gvfs
- fix typo in descripion
- fix .desktop file
- remove %%mdkversion < 200900 stuff
- drop old patches, and custom .po file

